curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"metadata": {
"resolution": "2K"
}
}'
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"image_urls": [
"https://example.com/panda.jpg"
],
"metadata": {
"resolution": "1K"
}
}'
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 4,
"metadata": {
"resolution": "2K",
"sequential_image_generation": "auto",
"sequential_image_generation_options": { "max_images": 4 },
"watermark": false
}
}'
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"metadata": {
"resolution": "2K"
}
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"image_urls": ["https://example.com/panda.jpg"],
"metadata": {
"resolution": "1K"
}
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'doubao-seedream-5-0-pro',
prompt: '可爱的熊猫在竹林中玩耍',
size: '1:1',
n: 1,
metadata: {
resolution: '2K'
}
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'doubao-seedream-5-0-pro',
prompt: '可爱的熊猫在竹林中玩耍',
size: '1:1',
n: 1,
image_urls: ['https://example.com/panda.jpg'],
metadata: {
resolution: '1K'
}
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
{
"id": "task_img_abc123def456",
"object": "generation.task",
"model": "doubao-seedream-5-0-pro",
"status": "queued",
"progress": 0,
"created_at": 1703884800,
"metadata": {}
}
Seedream-5.0-Pro
Seedream-5.0-Pro 图像生成
使用 Seedream 5.0 Pro 模型生成高质量图像,支持 1K/2K 分辨率
POST
/
v1
/
images
/
generations
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"metadata": {
"resolution": "2K"
}
}'
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"image_urls": [
"https://example.com/panda.jpg"
],
"metadata": {
"resolution": "1K"
}
}'
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 4,
"metadata": {
"resolution": "2K",
"sequential_image_generation": "auto",
"sequential_image_generation_options": { "max_images": 4 },
"watermark": false
}
}'
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"metadata": {
"resolution": "2K"
}
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"image_urls": ["https://example.com/panda.jpg"],
"metadata": {
"resolution": "1K"
}
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'doubao-seedream-5-0-pro',
prompt: '可爱的熊猫在竹林中玩耍',
size: '1:1',
n: 1,
metadata: {
resolution: '2K'
}
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'doubao-seedream-5-0-pro',
prompt: '可爱的熊猫在竹林中玩耍',
size: '1:1',
n: 1,
image_urls: ['https://example.com/panda.jpg'],
metadata: {
resolution: '1K'
}
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
{
"id": "task_img_abc123def456",
"object": "generation.task",
"model": "doubao-seedream-5-0-pro",
"status": "queued",
"progress": 0,
"created_at": 1703884800,
"metadata": {}
}
- Seedream 5.0 Pro 高质量图像生成模型,由字节跳动 Seed 团队研发
- 通过 model 参数选择
doubao-seedream-5-0-pro模型 - 参数与
Seedream-5.0基本一致,区别在于 Pro 支持 1K 和 2K 分辨率 - 支持文生图、图生图、多图参考等生成模式
- 计费规则:首张参考图免费,从第 2 张参考图开始按正常规则计费
- 异步任务管理,通过任务 ID 查询结果
重要变更:为了更好的性能和成本控制,我们不再支持在
image_urls 中直接传入 base64 图片数据。请先使用 上传图片接口 上传图片,获取 URL 后再调用本接口。Authorizations
所有接口均需要使用 Bearer Token 进行认证获取 API Key:访问 API Key 管理页面 获取您的 API Key使用时在请求头中添加:
Authorization: Bearer YOUR_API_KEY
Body
图像生成模型名称示例:
"doubao-seedream-5-0-pro"图像生成的文本描述
图像宽高比支持的宽高比:
1:1- 正方形(默认)4:3- 横向 4:33:4- 竖向 3:416:9- 横向宽屏9:16- 竖向长图3:2- 横向 3:22:3- 竖向 2:321:9- 超宽屏9:21- 超窄屏
生成图像的数量范围:1-10(最少 1 张,最多 10 张)默认:1注意:
- 参考图像 + 生成图像总数必须 ≤ 15
- 必须输入纯数字(如
1),不要加引号,否则会报错
参考图像 URL 列表,用于图生图或图像编辑⚠️ 仅支持 URL 格式(不再支持 base64)
- 公开可访问的图像 URL(http:// 或 https://)
- 可使用 上传图片接口 上传本地图片获取 URL
- 图片数量:1-10 张
- 图像格式:jpeg, png
- 宽高比(宽/高)范围:[1/3, 3]
- 宽度和高度(px)> 14
- 大小:不超过 10MB
- 总像素:不超过 6000×6000 px
- 首张参考图免费
- 从第 2 张参考图开始按正常规则计费
渠道特有参数,用于传递 Seedream 5.0 Pro 模型的高级配置
显示 metadata 属性
显示 metadata 属性
图像分辨率支持的分辨率:
1K- 基础分辨率2K- 标准分辨率(默认)
注意: Seedream 5.0 Pro 不支持 3K 和 4K 分辨率;非 Pro 的 Seedream 5.0 支持 2K 和 3K
顺序图像生成模式(豆包专属功能)控制是否生成多张图像:
disabled:禁用顺序模式,即使有多张参考图像也只生成 1 张(默认)auto:启用顺序模式,可以生成多张图像
- ✅ 设置
n: 3或使用sequential_image_generation: "auto"+max_images: 3 - ✅ 支持文生组图:仅提供文本提示词,最多生成 10 张图像
- ✅ 支持图生图/图生组图:提供
image_urls,基于参考图像生成多张图像 - ⚠️ 当
n > 1时,会自动设置为auto
- 输入的参考图数量 + 最终生成图片数量 ≤ 15 张
顺序图像生成选项当
sequential_image_generation 设置为 auto 时可用属性:max_images(整数):指定生成的图像数量,范围:1-10
"sequential_image_generation_options": { "max_images": 3 }
是否为生成的图像添加水印
true:添加水印false:不添加水印(默认)
Response
任务唯一标识符,用于查询任务状态
对象类型,固定为
generation.task使用的模型名称
任务状态
queued- 排队等待处理in_progress- 处理中completed- 成功完成failed- 失败
任务进度百分比(0-100)
任务创建时间戳(Unix 时间戳)
任务元数据
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"metadata": {
"resolution": "2K"
}
}'
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"image_urls": [
"https://example.com/panda.jpg"
],
"metadata": {
"resolution": "1K"
}
}'
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 4,
"metadata": {
"resolution": "2K",
"sequential_image_generation": "auto",
"sequential_image_generation_options": { "max_images": 4 },
"watermark": false
}
}'
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"metadata": {
"resolution": "2K"
}
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "doubao-seedream-5-0-pro",
"prompt": "可爱的熊猫在竹林中玩耍",
"size": "1:1",
"n": 1,
"image_urls": ["https://example.com/panda.jpg"],
"metadata": {
"resolution": "1K"
}
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'doubao-seedream-5-0-pro',
prompt: '可爱的熊猫在竹林中玩耍',
size: '1:1',
n: 1,
metadata: {
resolution: '2K'
}
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'doubao-seedream-5-0-pro',
prompt: '可爱的熊猫在竹林中玩耍',
size: '1:1',
n: 1,
image_urls: ['https://example.com/panda.jpg'],
metadata: {
resolution: '1K'
}
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
{
"id": "task_img_abc123def456",
"object": "generation.task",
"model": "doubao-seedream-5-0-pro",
"status": "queued",
"progress": 0,
"created_at": 1703884800,
"metadata": {}
}
⌘I